:root {
    --max-page-width: 120em;
    --page-width: min(var(--max-page-width), 100vw);
    display: flex;
    justify-content: center;
    font-family: "Lucida Sans", sans-serif;
    --color-theme-0: rgb(33, 47, 60);
    --color-theme-1: rgb(150, 178, 202);
    --color-theme-2: rgb(52, 149, 228);
    --color-theme-3: rgb(72, 123, 167);
    --color-black: rgb(0, 0, 0);
    --color-white: rgb(255, 255, 255);
}

@media (prefers-color-scheme: light) {
    :root {
        background-color: rgb(212, 228, 243);
    }
}

@media (prefers-color-scheme: dark) {
    :root {
        background-color: rgb(46, 64, 85);
    }
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: var(--color-white);
    font-size: 1em;
    /*
    border: 1px red solid;
    margin: 1px;
    */
}

p {
    max-width: 40em;
}

#logo {
    width: 3em;
    display: inline-block;
}

ul {
    list-style-position: inside;
}

.main-nav-bar {
    height: 1em;
    width: min-content;
    border-radius: 0.5em;
    background-color: rgb(226, 235, 242);
}

.main-nav-bar>ul {
    height: 0;
    overflow: hidden;
}

@keyframes menu-in {
    0% {
        max-height: 0em;
    }

    100% {
        max-height: 8em;
    }
}

.main-nav-bar:hover>ul,
.main-nav-bar:focus-within>ul {
    backdrop-filter: blur(10px);
    background-color: rgba(33, 47, 60, 0.5);
    border-radius: 0.5em;
    padding-top: 1em;
    padding-bottom: 1em;
    height: auto;
    display: block;
    animation-name: menu-in;
    animation-duration: 0.1s;
}

.main-nav-link-list {
    display: flex;
    flex-wrap: wrap;
}

.main-nav-link-list li {
    padding-left: 1em;
    padding-right: 1em;
    width: 100%;
    display: block;
    font-weight: bold;
}

.main-nav-link-list li:hover {
    background-image: linear-gradient(45deg, rgba(52, 149, 228, 0.5), transparent);
}

body {
    padding: 1em;
    width: var(--page-width);
    display: flex;
    flex-direction: column;
    gap: 1em;
}

@media (max-width: 120em) {
    body {
        padding: 0em;
        gap: 0em;
    }
}

main {
    display: flex;
    gap: 1em;
    flex-wrap: wrap;
    justify-content: space-between;
    grid-template-columns: repeat(auto-fill, minmax(30em, 1fr));
}

@media (max-width: 120em) {
    main {
        gap: 0;
    }
}

article,
header,
footer {
    background-color: rgb(33, 47, 60);
    border-radius: 0.5em;
    padding: 1em;
    flex-grow: 1;
}

aside {
    background-color: rgb(150, 178, 202);
    border-radius: 0.5em;
    padding: 1em;
    flex-grow: 1;
}

@media (max-width: 120em) {

    article,
    header,
    footer,
    aside {
        border-radius: 0;
    }
}

p,
h1,
h2,
h3,
h4 {
    padding: 5pt;
}

h1,
h2,
h3,
h4 {
    padding-top: 15pt;
}

h1 {
    font-size: 2.2em;
}

h2 {
    font-size: 2.0em;
}

h3 {
    font-size: 1.8em;
}

h4 {
    font-size: 1.6em;
}

h5 {
    font-size: 1.4em
}

h6 {
    font-size: 1.2em
}

.nonterminal {
    font-weight: bold;
    font-style: italic;
}

button,
input,
textarea,
select,
fieldset {
    appearance: none;
    background-color: var(--color-theme-0);
    padding: 0.5em;
    border-radius: 0.5em;
    border: 1px white solid;
}

button:hover {
    background-image: linear-gradient(var(--color-theme-2), var(--color-theme-0));
}

input[type="radio"]:checked {
    background-color: aquamarine;
}

input[type="checkbox"]:checked {
    background-color: aquamarine;
}

#header-nav {
    position: relative;
}

#header-nav-first-line {
    padding-bottom: 0.5em;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-wrap: nowrap;
    column-gap: 1em;
    overflow-x: auto;
}

#header-nav details>summary {
    padding: 1em;
    border-radius: 0.5em;
    white-space: nowrap;
}

#header-nav details>summary:hover {
    background-color: var(--color-theme-3);
    cursor: pointer;
}

#header-nav details[open]>summary {
    background-color: var(--color-theme-2);
}

#header-nav details>.details-content {
    position: absolute;
    right: 0;
    left: 0;
    background-color: var(--color-theme-0);
    padding: 1em;
}